//+------------------------------------------------------------------+
//|                                                   +candleTM+.mq4 |
//|                                        Copyright  2008, masemus |
//|                                    Gresik - EastJAVA - Indonesia |
//+------------------------------------------------------------------+
#property copyright "masemus"
#property link      "masemus@yahoo.com"

#property indicator_chart_window
//---- Pos!
extern int window       = 0;
extern int corner       = 1;
extern int y_offset     = 0;
extern int x_offset     = 0;
extern color Time_clr   = Magenta;
extern string Fonts     = "Trebucet Bold";
extern int FontSZ       = 16;

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   //Info
   string Teks="", Teks_Menit, Teks_Detik;
   double d_A, d_B;

   //Time for Next Candle
   d_B = (Time[4]-Time[5])-MathMod(CurTime(),Time[4]-Time[5]);
   d_A = d_B/60;
   d_B = (d_A-MathFloor(d_A))*60;
   d_A = MathFloor(d_A);
   Teks_Menit = DoubleToStr(d_A,0);
   Teks_Detik = DoubleToStr(d_B,0);
   Teks=Teks_Menit+":"+Teks_Detik;

//----
   ObjectSetText("mycandleTM", Teks_Menit+":"+Teks_Detik, FontSZ, Fonts, Time_clr);

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int CreateOL( string n, int xoff, int yoff ) {
   ObjectCreate( n, OBJ_LABEL, window, 0, 0 );
   ObjectSet( n, OBJPROP_CORNER, corner );
   ObjectSet( n, OBJPROP_XDISTANCE, xoff );
   ObjectSet( n, OBJPROP_YDISTANCE, yoff );
   ObjectSet( n, OBJPROP_BACK, false );
}


int init()
  {

//---- 
   IndicatorShortName("");  
//---- indicators


   CreateOL( "mycandleTM", x_offset+5, y_offset+5 );

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("mycandleTM");
//----
   return(0);
  }
//+------------------------------------------------------------------+